{ lib, ... }:
  let
    tryFiles = import ./try-files.nix { inherit lib; };
  in
    { hostname, username, ... }:
      tryFiles [
        ../users/${username}/${hostname}.nix
        ../users${username}/common.nix
        ../users/${username}.nix
      ]
      null